# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeManifoldSolidBrep Class Reference

This class implements the mapping between classes
Shell or Solid from TopoDS and ManifoldSolidBrep from
StepShape. All the topology and geometry comprised
into the shell or the solid are taken into account and
translated.
.

`#include <TopoDSToStep_MakeManifoldSolidBrep.hxx>`

Inheritance diagram for TopoDSToStep_MakeManifoldSolidBrep:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeManifoldSolidBrep (const TopoDS_Shell &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT | TopoDSToStep_MakeManifoldSolidBrep (const TopoDS_Solid &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_ManifoldSolidBrep & | Value () const

## Private Attributes

Handle_StepShape_ManifoldSolidBrep | theManifoldSolidBrep

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeManifoldSolidBrep::TopoDSToStep_MakeManifoldSolidBrep | ( | const TopoDS_Shell & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

Standard_EXPORT TopoDSToStep_MakeManifoldSolidBrep::TopoDSToStep_MakeManifoldSolidBrep | ( | const TopoDS_Solid & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

void TopoDSToStep_MakeManifoldSolidBrep::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeManifoldSolidBrep::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeManifoldSolidBrep::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_ManifoldSolidBrep& TopoDSToStep_MakeManifoldSolidBrep::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_ManifoldSolidBrep TopoDSToStep_MakeManifoldSolidBrep::theManifoldSolidBrep `[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeManifoldSolidBrep.hxx